%define packname lmtest
%global packver 0.9
# Note that some R packages do not use packrel
%define packrel 38

%global __suggests_exclude ^R\\((AER|dynlm|strucchange)\\)

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          1
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/lmtest/index.html
Summary:          Testing Linear Regression Models for R

BuildRequires:    tex(latex)
BuildRequires:    R-devel >= 3.0.0, R-stats, R-zoo-devel

%description
A collection of tests, data sets and examples for diagnostic checking in
linear regression models in R.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%check
# Missing these packages so no install:
# R-strucchange, R-dynlm, and R-survival
%{_bindir}/R CMD check --no-install %{packname}

%files
%doc lmtest/THANKS
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 0.9.38-1
- Init package (Thanks to fedora team)
